# List card tokens

**GET** `/issuing/card-tokens`

Retrieve a list of card tokens.

### Query Parameters

- `card_id` `string` — Filter card tokens by card ID.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/issuing/card-tokens' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "card_tokens": [
    {
      "activation_denied_at": null,
      "card_account_id": "cacc_2x8gszy5folpA9s0TOCseE9ABDM",
      "card_id": "card_2x8gszy5folpA9s0TOCseE9ABDM",
      "card_program_id": "cpgm_2x8gszy5folpA9s0TOCseE9ABDM",
      "created_at": "2024-01-15T09:30:00Z",
      "deactivated_at": null,
      "device_name": "iPhone",
      "device_type": "mobile_phone",
      "first_activated_at": "2024-01-15T09:30:00Z",
      "first_paused_at": "2024-01-15T09:30:00Z",
      "id": "ctkn_2x8gszy5folpA9s0TOCseE9ABDM",
      "last_activated_at": "2024-01-15T09:30:00Z",
      "last_paused_at": "2024-01-15T09:30:00Z",
      "network_token_reference_id": "DNITHE302312345678901234",
      "pending_activation_at": "2024-01-15T09:30:00Z",
      "pending_authentication_at": "2024-01-15T09:30:00Z",
      "provisioning_decisioning_details": {
        "decision": "approve",
        "decision_source": "column",
        "rejection_reason": "card_paused"
      },
      "requestor_name": "Apple Pay",
      "status": "active",
      "stepping_up_at": "2024-01-15T09:30:00Z",
      "token_type": "wallet",
      "wallet_type": "apple_pay"
    }
  ],
  "has_more": false
}
```
